package com.style24.core.biz.dao;

import java.util.Collection;
import java.util.List;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Order;
import com.style24.persistence.domain.OrderChange;
import com.style24.persistence.domain.Payment;

/**
 * 취소관리 Dao
 *
 * @author jsh77b
 * @since 2020. 11. 16
 */
@ShopDs
public interface TscOrderChangeDao {
	
	/**
	 * 주문변경대상목록 조회(취소, 반품, 교환)
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 16
	 */
	List<Order> getCancelRequestTargetList(Order order);
	
	/**
	 * 주문변경대상목록 조회(취소, 반품, 교환) 2
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 24
	 */
	List<Order> getCancelRequestTargetList2(Order order);
	
	/**
	 * 주문변경신청목록 조회 (취소, 반품, 교환)
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 16
	 */
	List<Order> getOrderChangeDetailList(Order order);
	
	/**
	 * 주문상세단품정보 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int updateOrderDetailItem(Order order);
	
	/**
	 * 2021.08.20 주문상세단품정보(교환결제완료용) 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int updateOrderDetailItemExchPay(Order order);

	/**
	 * 주문상세단품정보 수정 (교환 선발송)
	 * 
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 07. 07
	 */
	int updateOrderDetailItemForExchange(Order order);
	
	/**
	 * 주문상세단품이력정보 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createOrderDetailItemHst(Order order);
	
	/**
	 * 상품옵션재고정보 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 01. 22
	 */
	int createSellQty(OrderChange orderChange);
	
	/**
	 * 주문변경정보 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createOrderChange(OrderChange orderChange);
	
	/**
	 * 주문변경상세정보 등록
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createOrderChangeDetail(OrderChange orderChange);

	/**
	 * 주문변경상세정보 등록
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createOrderChangeDetailHst(OrderChange orderChange);
	
	/**
	 * 주문상세정보 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int updateOrderDetail(Order order);

	/**
	 * 주문상세이력정보 (취소,반품) 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createOrderDetailHstCnclRtn(Order order);

	/**
	 * 주문환불금액정보(PG) 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createPayment(Order order);
	
	/**
	 * 주문환불정보 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int createRefund(Order order);
	
	/**
	 * 주문추가배송금액 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 01. 06
	 */
	int createDeliveryFee(Order order);

	/**
	 * 배송비 환불금액 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 05. 01
	 */
	int updateDeliveryFee(Order order);
	
	/**
	 * 주문사은품전체취소
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2020. 12. 22
	 */
	int updateOrdFreegiftDel(Order order);
	
	/**
	 * 주문상세이력정보등록 취소신청철회
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 01. 26
	 */
	int createOrderDtlHstCancel(Order order);
	
	/**
	 * 주문변경상세정보 수정(취소신청 철회)
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 01. 26
	 */
	int updateOrderChangeDtlCancel(Order order);

	/**
	 * 주문상세 > 주문취소 > 고객환불계좌정보 조회
	 *
	 * @param order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 01. 04
	 */
	Collection<Order> getRefundAccount(Order order);

	/**
	 * 주문상세 > 주문취소 > 고객환불계좌정보 중복체크
	 *
	 * @param order
	 * @return int
	 * @author jsh77b
	 * @since 2021. 01. 05
	 */
	int getRefundAccountCheck(Order order);

	/**
	 * 주문상세 > 주문취소 > 고객환불계좌정보 등록
	 *
	 * @param order
	 * @return int
	 * @author jsh77b
	 * @since 2021. 01. 05
	 */
	int saveRefundAccount(Order order);
	
	/**
	 * 고객환불계좌정보 존재유무
	 *
	 * @param order
	 * @return int
	 * @author jsh77b
	 * @since 2021. 07. 21
	 */
	int getCustAccountChk(Order order);
	
	/**
	 * 고객환불계좌정보 수정
	 *
	 * @param order
	 * @return int
	 * @author jsh77b
	 * @since 2021. 07. 21
	 */
	int updateRefundAccount(Order order);

	/**
	 * 주문상세정보 생성
	 *
	 * @param Order - 주문 정보
	 * @return int
	 * @author card007
	 * @since 2021. 01. 25
	 */
	int createOrderDetailForExchange(Order order);

	/**
	 * 주문상세정보 이력 생성
	 *
	 * @param Order - 주문 정보
	 * @return int
	 * @author card007
	 * @since 2021. 01. 25
	 */
	int createOrderDetailHstForExchange(Order order);

	/**
	 * 주문상세단품정보 생성
	 *
	 * @param Order - 주문 정보
	 * @return int
	 * @author card007
	 * @since 2021. 01. 25
	 */
	int createOrderDetailItemForExchange(Order order);

	/**
	 * 주문상세단품정보 이력 생성
	 *
	 * @param Order - 주문 정보
	 * @return int
	 * @author card007
	 * @since 2021. 01. 25
	 */
	int createOrderDetailItemHstForExchange(Order order);

	/**
	 * 주문배송주소 등록
	 *
	 * @param Order - 주문 정보
	 * @return int
	 * @author card007
	 * @since 2021. 01. 26
	 */
	int createDeliveryAddr(Order order);

	/**
	 * 교환상품옵션재고정보 등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 01. 28
	 */
	int createSellQtyForExchange(OrderChange orderChange);

	/**
	 * 교환상품정보 조회
	 * 
	 * @param OrderChange - 주문 변경 정보
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 02. 01
	 */
	Collection<Order> getExchangeInfo(Order order);

	/**
	 * 추가배송비 결제 여부 조회
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return OrderChange - 주문 변경 정보
	 * @author card007
	 * @since 2021. 02. 01
	 */
	Collection<Order> getAddDeliveryFeePayment(OrderChange orderChange);

	/**
	 * 추가배송비 취소 처리
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 06. 16
	 */
	int createAddDeliveryFeeCancel(OrderChange orderChange);

	/**
	 * 추가배송비 결제 취소 정보 생성 (사용안함)
	 *
	 * @param Order - 주문 정보
	 * @return 
	 * @author card007
	 * @since 2021. 02. 02
	 */
	// int createAddDeliveryFeeCancelPayment(Order order);

	/**
	 * 교환철회 주문상세 상태코드 변경
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 02. 02
	 */
	int updateOrderDetailForExchangeCancel(Order order);

	/**
	 * 교환철회 주문단품상세 상태코드 변경
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 02. 02
	 */
	int updateOrderDetailItemForExchangeCancel(Order order);

	/**
	 * 교환철회 주문상세단품정보 이력 생성
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 02. 02
	 */
	int createOrderDetailItemHstForExchangeCancel(Order order);

	/**
	 * 전체취소 주문상세단품정보 수정
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateOrderDetailItemForAllCancel(OrderChange orderChange);

	/**
	 * 전체취소 주문상세단품이력정보 등록
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int createOrderDetailItemHstForAllCancel(OrderChange orderChange);

	/**
	 * 전체취소 주문상세단품정보 수정
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 16
	 */
	int updateOrderDetailForAllCancel(OrderChange orderChange);

	/**
	 * 전체취소 주문상세단품이력정보 등록
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 16
	 */
	int createOrderDetailHstForAllCancel(OrderChange orderChange);

	/**
	 * 마이페이지 포인트 원복 사용포인트 조회
	 *
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 04. 15
	 */
	Collection<Order> getCustPointHst(Order order);

	/**
	 * 마이페이지 사용포인트 원복 이력 생성
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int createCustPointHstRollback(Order order);

	/**
	 * 마이페이지 사용포인트 원복 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateCustPointRollback(Order order);

	/**
	 * 마이페이지 상품쿠폰 원복 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateGoodsCpnRollback(Order order);

	/**
	 * 마이페이지 장바구니쿠폰 원복 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateCartCpnRollback(Order order);

	/**
	 * 마이페이지 배송비쿠폰 원복 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateDeliveryCpnRollback(Order order);

	/**
	 * 마이페이지 상품권 원복 사용상품권 조회
	 *
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 04. 15
	 */
	Collection<Order> getCustGiftCardHst(Order order);

	/**
	 * 마이페이지 배송비 상품권 원복 사용상품권 조회
	 *
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 08. 05
	 */
	Collection<Order> getCustGiftCardDelvHst(Order order);

	/**
	 * 마이페이지 사용상품권 원복 이력 생성
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int createCustGiftCardHstRollback(Order order);

	/**
	 * 마이페이지 사용상품권 원복 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 15
	 */
	int updateCustGiftCardRollback(Order order);

	/**
	 * 결제정보 조회
	 *
	 * @param Payment
	 * @return Payment
	 * @author card007
	 * @since 2021. 04. 15
	 */
	Payment getPaymentInfo(Payment payment);

	/**
	 * 마이페이지 전체취소 주문변경상세 등록
	 * 
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 16
	 */
	int createOrderChangeDetailForAllCancel(OrderChange orderChange);

	/**
	 * 마이페이지 전체취소 주문변경상세 이력 등록
	 * 
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 16
	 */
	int createOrderChangeDetailHstForAllCancel(OrderChange orderChange);

	/**
	 * 마이페이지 전체취소 환불정보 조회
	 *
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 04. 16
	 */
	Order getRefundInfoForAllCancel(Order order);

	/**
	 * 추가배송비 결제정보 조회
	 *
	 * @param Payment
	 * @return Payment
	 * @author card007
	 * @since 2021. 04. 20
	 */
	Payment getAddPayCostPaymentInfo(Payment payment);

	/**
	 * 취소/반품 환불 사전 정보 조회
	 *
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 03. 25
	 */
	Collection<Order> getRefundPreInfo(OrderChange orderChange);

	/**
	 * 교환 상품 재고 조회
	 * 
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 04. 21
	 */
	Order getCurrStockQty(Order order);

	/**
	 * 결제취소 환불정보 수정
	 *
	 * @param Order
	 * @return int
	 * @author card007
	 * @since 2021. 04. 22
	 */
	int updateRefundInfo(Order order);

	/**
	 * 주문취소접수승인 정보 조회
	 *
	 * @param Collection<OrderChange>
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 04. 22
	 */
	Collection<OrderChange> approveCancelRequestInfo(OrderChange orderChange);

	/**
	 * 주문취소 남은금액 조회
	 *
	 * @param int
	 * @return int
	 * @author card007
	 * @since 2021. 04. 22
	 */
	int getLeftAmt(int ordNo);
	
	/**
	 * 입점업체 클레임 주문변경상태변경
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	int updateOrderChangeDtlForSeller(Order order);
	
	/**
	 * 입점업체 클레임 주문변경요청정보변경
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	int updateOrderChangeForSeller(Order order);
	
	/**
	 * 입점업체 클레임 주문변경상세정보조회
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	Collection<Order> getWithdrawInfoForSeller(Order order);
	
	/**
	 * 회수정보마스터등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	int insertTbWithdraw(Order order);
	
	/**
	 * 회수정보상세등록(단품단위)
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	int insertTbWithdrawDetail(Order order);
	
	
	/**
	 * 주문변경 요청메모 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 05. 17
	 */
	int updateOrderChangeMemo(Order order);

	/**
	 * 주문상세단품정보 조회
	 * 
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 05. 24
	 */
	Collection<Order> getOrderDetailItem(Order order);

	/**
	 * 주문변경정보 조회
	 * 
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 05. 24
	 */
	Collection<OrderChange> getOrderChangeDetailInfo(OrderChange orderChange);

	/**
	 * 환불컨펌 주문변경 수정
	 * 
	 * @param orderChange
	 * @return int
	 * @author card007
	 * @since 2021. 05. 24
	 */
	int updateOrderChangeDtl(OrderChange orderChange);
	
	/**
	 * 주문취소시 주문상세단품정보등록을 정보 조회
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021.05.26
	 */
	Collection<Order> getOrderDetailItemForCnclRtn(Order order);
	
	/**
	 * 반품 배송비 마이너스처리
	 *
	 * @param OrderChange
	 * @return int
	 * @author moon
	 * @since 2021. 05. 31
	 */
	int insertTbDeliveryFeeMinus(OrderChange orderChange);
	
	/**
	 * 착불비 반품배송비로 처리 
	 *
	 * @param OrderChange
	 * @return int
	 * @author moon
	 * @since 2021. 06. 02
	 */
	int insertTbDeliveryFeeCodFee(OrderChange orderChange);	
	
	/**
	 * 환불금액 배송비 포함 변경
	 *
	 * @param OrderChange
	 * @return int
	 * @author moon
	 * @since 2021. 05. 31
	 */
	int updateRefundChange(OrderChange orderChange);	
	
	/**
	 * 동봉비, 착불비 업데이트 
	 *
	 * @param OrderChange
	 * @return int
	 * @author moon
	 * @since 2021. 06. 03
	 */
	int updateWithdrawFee(OrderChange orderChange);

	/**
	 * 취소 알림톡 정보 조회
	 * 
	 * @param Integer
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 06. 08
	 */
	OrderChange getKakaoOrderCancelInfo(Integer ordChgSq);

	/**
	 * 반품 알림톡 정보 조회
	 *
	 * @param Integer
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 06. 08
	 */
	OrderChange getKakaoOrderReturnInfo(Integer ordChgSq);

	/**
	 * 마이페이지 취소 상세 정보 조회
	 *
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 04. 08
	 */
	Collection<OrderChange> getCreCancelDetailInfo(OrderChange orderChange);

	/**
	 * 마이페이지 반품 상세 정보 조회
	 *
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 04. 13
	 */
	Collection<OrderChange> getCreReturnDetailInfo(OrderChange orderChange);

	/**
	 * 마이페이지 교환 상세 정보 조회
	 *
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 04. 13
	 */
	Collection<OrderChange> getCreExchangeDetailInfo(OrderChange orderChange);

	/**
	 * 마이페이지 교환 상품 옵션 정보 조회
	 *
	 * @param OrderChange
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 04. 08
	 */
	OrderChange getExchangeGoodsOptionInfoList(OrderChange orderChange);

	/**
	 * 전체취소 배송비 취소 처리
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 06. 09
	 */
	int createDeliveryFeeForAllCancel(OrderChange orderChange);

	/**
	 * 취소 사은품 조회
	 * 
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 06. 09
	 */
	Collection<OrderChange> getCancelFreeGiftList(OrderChange orderChange);
	
	/**
	 * 교환출고 재고부족 취소처리
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 06. 15
	 */
	int updateExchangeDelvFailCnclYn(Order order);
	
	/**
	 * 교환 주문상세정보 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author moon
	 * @since 2021. 06. 14
	 */	
	int updateChgOrderDetailTemp(Order order);
	

	/**
	 * 교환 주문상세단품정보 수정
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author moon
	 * @since 2021. 06. 14
	 */	
	int updateChgOrderDetailItemTemp(Order order);	
	
	/**
	 * 교환배송실패 변경요청단위 전체취소 여부
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author card007
	 * @since 2021. 01. 28
	 */
	int getExchangeDelvFailQty(OrderChange orderChange);
	
	/**
	 * 추가배송비 취소 처리 (부분취소)
	 *
	 * @param OrderChange
	 * @return int
	 * @author jsh77b
	 * @since 2021. 06. 21
	 */
	int createAddDeliveryFeeCancelPart(OrderChange orderChange);

	/**
	 * 마이페이지 회수지 수정
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 13
	 */
	int updateChgerAddr(OrderChange orderChange);

	/**
	 * 마이페이지 반품메모 수정
	 *
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 04. 13
	 */
	int updateChgerRtnMemo(OrderChange orderChange);

	/**
	 * 미착 정보 조회
	 * 
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 06. 28
	 */
	Collection<Order> getNonArrivalInfo(Order order);
	
	/**
	 * 주문변경신청 완료 정보 조회(취소,반품)
	 * 
	 * @param Order
	 * @return Collection<Order>
	 * @author jsh77b
	 * @since 2021. 06. 30
	 */
	List<Order> getCnclRtnCompleteList(Order order);

	/**
	 * WMS 확정 후 불량 및 품절 데이터 조회
	 * @param param
	 * @return
	 * @author xodud1202
	 * @since 2021. 07. 05
	 */
	Collection<OrderChange> getOrderRecallExceptionInfo(OrderChange param);
	
	/**
	 * 현재결제금액조회
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 07. 07
	 */
	int getPaymentPayamt(Payment payment);
	
	/**
	 * 환불컨펌시 배송중상태 조회 
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 07. 07
	 */
	int getOrderDetailItem20Cnt(Order param);
	
	/**
	 * 환불컨펌시 배송중상태 조회 전체취소
	 *
	 * @param OrderChange - 주문 변경 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 07. 07
	 */
	int getOrderDetailItem20CntAll(OrderChange param);

	/**
	 * 주문상세단품 정보 조회
	 * 
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 07. 06
	 */
	Order getOrderDetailItemInfo(Order order);

	/**
	 * 주문상세 정보 조회
	 *
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 07. 07
	 */
	Order getOrderDetailInfo(Order order);

	/**
	 * 회수 예외 정보 조회
	 *
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 07. 13
	 */
	Order getRecallExceptionInfo(Order order);

	/**
	 * 반송지 주소 조회
	 * 
	 * @param Order
	 * @return Order
	 * @author card007
	 * @since 2021. 07. 19
	 */
	Collection<Order> getRtnLocInfo(Order order);
	
	/**
	 * 교환상품 출고예외등록
	 *
	 * @param Order - 주문 정보
	 * @return
	 * @author jsh77b
	 * @since 2021. 07. 22
	 */
	int insertTbExchangeDelvFail(OrderChange param);

	/**
	 * 반품배송비 수정
	 * 
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 08. 11
	 */
	int updateReturnDeliveryFee(OrderChange orderChange);

	/**
	 * 반품배송비 수정
	 *
	 * @param OrderChange
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 08. 11
	 */
	OrderChange getReturnDeliveryFeeInfo(OrderChange orderChange);

	/**
	 * 원주문 배송비 정보 조회
	 *
	 * @param OrderChange
	 * @return OrderChange
	 * @author card007
	 * @since 2021. 08. 13
	 */
	OrderChange getOrgDeliveryFeeInfo(OrderChange orderChange);

	/**
	 * 네이버페이 주문형 교환접수 승인 옵션 수정
	 * 
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 08. 18
	 */
	int updateExchangeApprovalOption(OrderChange orderChange);

	/**
	 * 네이버페이 주문형 교환접수 승인대기 목록 수 조회
	 * 
	 * @param OrderChange
	 * @return int
	 * @author card007
	 * @since 2021. 08. 18
	 */
	int getExchangeApprovalTargetListCount(OrderChange orderChange);

	/**
	 * 네이버페이 주문형 교환접수 승인대기 목록 조회
	 *
	 * @param OrderChange
	 * @return Collection<OrderChange>
	 * @author card007
	 * @since 2021. 08. 18
	 */
	Collection<OrderChange> getExchangeApprovalTargetList(OrderChange orderChange);

	/**
	 * 마이페이지 반품 주문 정보 조회
	 *
	 * @param Order
	 * @return Collection<Order>
	 * @author card007
	 * @since 2021. 09. 07
	 */
	Collection<Order> getReturnOrderInfo(Order order);
}
